
Foreman - Bug #6362

top level menu item "Content" visible to normal user without any permission

06/24/2014 03:50 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Authentication   

Target version: 1.7.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1112182 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2078

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1112182

Description of problem:

I created a simple user in "Any context" mode and did not assign any location, org and roles. But following menus are visible to that

user.

Ideally user shouldn't be allowed to have access to any of menu items without any permission. Though content menu doesn't list sub

menus but Hosts menu shows "All Hosts" and user can see the created hosts.

Version-Release number of selected component (if applicable):

sat6 beta snap10 compose2

How reproducible:

always

Steps to Reproduce:

1. Login with admin user

2. create a user in "Any context" and do not assign location and org

3. logout with admin user and login with newly created user

Actual results:

User can see Content menu and Hosts --> All hosts

Expected results:

user shouldn't be allowed to have access to any of menu items without any permission

Additional info:

Associated revisions

Revision 795b9287 - 01/24/2015 01:28 PM - Stephen Benjamin

fixes #6362 - correct menu dividers if user isn't auth for some actions

Revision 600cc8c9 - 01/27/2015 11:12 AM - Stephen Benjamin

fixes #6362 - correct menu dividers if user isn't auth for some actions

(cherry picked from commit 795b9287bae5ee941331e4291eec6570e8a1ce62)

History

#1 - 06/24/2014 03:50 PM - Dominic Cleal

- Category set to Authentication

- Assignee deleted (Dominic Cleal)

It reads to me like the issue is with the menu system not removing the top-level "Content" menu when the user has permission for nothing inside the
Katello plugin.

#2 - 01/13/2015 11:13 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2078 added

#3 - 01/24/2015 02:02 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 795b9287bae5ee941331e4291eec6570e8a1ce62.

#4 - 01/26/2015 04:33 AM - Dominic Cleal

- Assignee set to Stephen Benjamin

- translation missing: en.field_release set to 30
